{% extends 'base.html' %}

{% block title %}
    AUTORES
{% endblock %}

{% block content %}
    <a href='{% url 'libro:crear_autor' %}'>
        <button class="btn btn-success" type="submit">Crear</button>
    </a>
    <p></p>
    <table class="table">
        <thead>
        <tr>
            <th scope="col">ID</th>
            <th scope="col">Nombre</th>
            <th scope="col">Apellidos</th>
            <th scope="col">Nacionalidad</th>
            <th scope="col">Descripción</th>
            <th scope="col">Fecha Creación</th>
            <th style="text-align:center;" scope="col" colspan="2">ACCIONES</th>
        </tr>
        </thead>
        <tbody>
            {% for autor in autores %}
                <tr>
                    <td>{{ autor.id }}</td>
                    <td>{{ autor.nombre }}</td>
                    <td>{{ autor.apellidos }}</td>
                    <td>{{ autor.nacionalidad }}</td>
                    <td>{{ autor.descripcion }}</td>
                    <td>{{ autor.fecha_creacion }}</td>
                    <td style="text-align:center;">
                        <a href="{% url 'libro:actualizar_autor' autor.id %}">
                            <button class="btn btn-primary" type="submit">Actualizar</button>
                        </a>
                    </td>
                    <td style="text-align:center;">
                        <a href="{% url 'libro:eliminar_autor' autor.id %}">
                            <button class="btn btn-danger" type="submit">Eliminar</button>
                        </a>
                    </td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}